<div fxLayout="row wrap">
  <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
    <mat-card>
      <mat-card-content id="contentToConvert">
        <mat-card-title class="titledada">Suivi mictionnel du patient {{firstName}} {{lastName}}</mat-card-title>
        <div class="example-container responsive-table" fxFlex.gt-sm="100" fxFlex.gt-lg="100" fxFlex="100">
          <table mat-table [dataSource]="dataSource">

            <!-- Name Column -->
            <ng-container matColumnDef="date" sticky>
              <th class="mat-header-cell" mat-header-cell *matHeaderCellDef> Date </th>
              <td mat-cell *matCellDef="let patient"> {{patient.date}} </td>
            </ng-container>

            <!-- Position Column -->
            <ng-container matColumnDef="hour">
              <th  class="mat-header-cell" mat-header-cell *matHeaderCellDef> Heure </th>
              <td mat-cell *matCellDef="let patient"> {{patient.hour}} </td>
            </ng-container>

            <!-- Weight Column -->
            <ng-container matColumnDef="volumeUrine">
              <th class="mat-header-cell" mat-header-cell *matHeaderCellDef> Volume </th>
              <td mat-cell *matCellDef="let patient"> {{patient.volumeUrine}} </td>
            </ng-container>

            <!-- Star Column -->
            <ng-container matColumnDef="star" stickyEnd>
              <th class="mat-header-cell" mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let element">
                <mat-icon>more_vert</mat-icon>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>
        </div>

        <mat-card style="width: 600px; background-color:white">
          <mat-card-title style="margin-left: 10px; border-bottom: 2px solid black; color:#028ee1; box-shadow: #3b5998">Suivi mictionnel des dernières 24h</mat-card-title>


          <form [formGroup]="dateForm" (submit)="ngSubmitForm()">
            <div style="margin-top: 20px">
                <label> Entrer la Date
                  <input type="date" formControlName="dateOfDay" ngModel="dateOfDay" style="height: 30px; width: 200px; margin-right: 10px">
                </label>
              <!--<small *ngIf="form.controls['numberOfRoom'].errors?.number && form.controls['numberOfRoom'].touched" class="text-danger font-14">Number should be between 5 and 9.</small>-->

            <button mat-raised-button color="primary" type="submit">Voir</button>

          </div>
          </form>

          <table mat-table [dataSource]="dataSourceH24" style="width: 400px">

            <!-- Name Column -->
            <ng-container matColumnDef="jour" sticky>
              <th class="mat-header-cell" mat-header-cell *matHeaderCellDef> La date </th>
              <td mat-cell *matCellDef="let volumAndVolum"> {{volumAndVolum.date}} </td>
            </ng-container>

            <!-- Position Column -->
            <ng-container matColumnDef="volume">
              <th  class="mat-header-cell" mat-header-cell *matHeaderCellDef> Volume </th>
              <td mat-cell *matCellDef="let volumAndVolum"> {{volumAndVolum.volume}} </td>
            </ng-container>

            <!-- Position Column -->
            <ng-container matColumnDef="nbrUrine">
              <th  class="mat-header-cell" mat-header-cell *matHeaderCellDef> Nombre de fois uriné</th>
              <td mat-cell *matCellDef="let volumAndVolum"> {{volumAndVolum.nbrUrine}} </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumnsh24"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumnsh24;"></tr>
          </table>

        </mat-card>
      </mat-card-content>
      <button mat-stroked-button color="primary" (click)="generatePDF()" style="margin: 20px 0 50px 50px">
        Générer les données du Patient en PDF
      </button>
<mat-card>
  <mat-card-title>Envoyer le fichier générer</mat-card-title>
  <mat-label>Selectionner le fichier</mat-label>
      <input #fileUploader type="file" (change)="onFileSelected($event)" name="image" autocomplete="on" style="margin-left: 50px"/>
      <button mat-stroked-button color="primary" (click)="sendFileToDatabase()" style="margin: 20px 0 50px 50px">
        Envoyer
      </button>
      <p>{{message}}</p>
</mat-card>
    </mat-card>
    <br>
  </div>
</div>

<div class="my-table">

  <mat-card style="width: 600px; background-color:white;">

    <mat-card-title style="margin-left: 10px; border-bottom: 2px solid black; color:#028ee1; box-shadow: #3b5998">Suivi mictionnel de Patient</mat-card-title>

    <mat-card-content>

      <h4>Nombre de fois uriné depuis le debut de la miction : {{numberOfTimesSinceTheStartOfUrination}} fois</h4>

      <h4>Volume total uriné depuis le debut de la miction : {{sum}} ml</h4>

    </mat-card-content>
  </mat-card>

  <!-----------------------------Gold Standart Data Table------------------------------->

  <div fxLayout="row wrap">
    <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
      <mat-card>
        <mat-card-content style="width:800px">
          <mat-card-title style="margin-left: 10px; border-bottom: 2px solid black; color:#028ee1">
            Quantités quotidiennes des urines et élimination en fonction de l'âge
          </mat-card-title>

          <div class="responsive-table">
            <table mat-table [dataSource]="dataSource2" class="mat-elevation-z8" style="width: 700px">

              <ng-container matColumnDef="age">
                <th mat-header-cell *matHeaderCellDef> Age </th>
                <td mat-cell *matCellDef="let data" style="font-size: 16px"><p>{{data.age}}</p> </td>
              </ng-container>

              <ng-container matColumnDef="quantite">
                <th mat-header-cell *matHeaderCellDef> Quantité d'urine </th>
                <td mat-cell *matCellDef="let data" style="font-size: 16px"> <p>{{data.volume}}</p>
                </td>
              </ng-container>

              <ng-container matColumnDef="action">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let data">
                  <button mat-stroked-button color="accent" routerLink="/forms/edit-omsData/{{data.id}}" style="margin-left: 30px;">Mise à jour</button>
                </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedColumns2"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns2;"></tr>
            </table>
          </div>

        </mat-card-content>
        <mat-card-title>

          Sources :
          <p style="font-size: 14px">Mesure de la diurèse et sa transcription - Règles d'ORR (Organisation, Réalisation, Relation)
            <br>
            - Marie Odile Rioufol (formatrice à Lyon)
            soin aides soignantes  volume 4 n°14 février 2007</p>

        </mat-card-title>

      </mat-card>
    </div>
  </div>
</div>
